package com.haircut.pranks.app.manager;



import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.haircut.pranks.app.R;


public class FontTv extends androidx.appcompat.widget.AppCompatTextView {


    public FontTv(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.MyTV);
        boolean aBoolean = typedArray.getBoolean(R.styleable.MyTV_apply_font,false);
        if(aBoolean){
            Tools.initFont(this);
        }

        typedArray.recycle();
    }



}
